Bug 250735 - please split timidity++ into timidity++ and timidity++-patches
please split timidity++ into timidity++ and timidity++-patches
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-08-03 06:19 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-14 15:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-08-03 06:19:42 EDT
Today I got a couple of broken deps reports for packages in rawhide because of a
boost update, so I downloaded boost from koji (as rawhide is frozen for test1),
and tried to install it. However arts requires the old boost, so I tried to
remove arts.

This however not only resulted in the removal of KDE stuff, but also in the
removal of timidity++, and through timidity++ SDL-mixer which requires timidty++
and then many more games requiring SDL_mixer.

The problem is that quite a few libs which do midi wavetable synthesising
require  timidity++ for the patches and /etc/timidity.cfg, without needing the
player itself (let alone the library deps the player brings along).

The following packages (that I know of) require timidity++ solely for the
patches + cfg:
allegro     (I'm co-maintainer)
libtimidity (I'm maintainer)
wildmidi    (I'm maintainer)

So the patches and cfg files (+ cfg manpage) need to be in a different package
as the player + its manpage.

I see 2 solutions:
1) create a -patches subpackage, make the main package require this
   and modify the 4 packages above to update their requires.
2) put the player in its own subpackage, this way no other packages need 
   fixing, but users who do "yum install timidity++" will be surprised, and
   when people update they will loose the player (most probably won't care,
   but still this is bad).

I think solution 1 is preferable. If you want (and there is no acl) I can do the
split for you. I will naturally take care of all packages except for SDL_mixer,
for which I would be happy to file a bug.
Comment 1 Hans de Goede 2007-08-12 16:11:06 EDT
Erm, I don't want to be rude, but ... ping?
Comment 2 Nigel Jones 2007-08-12 19:47:25 EDT
I am defering this for now, I'd like to investigate other aspects of the issue
before I just go ahead and change this, I have however made a note, and will
update later on.

I'm not sure if I'll action this before F8/Test3 or F9/Rawhide
Comment 3 Hans de Goede 2007-08-13 01:43:08 EDT
Please reconsider, leaving this as is means that people who install a simple
SDL_mixer using game get arts and through arts qt and boost installed.

Point of prove, currently doing yum remove arts will remove 123 packages on my
system, of whihc 15 are kde packages and the rest gets removed through the
timidity -> arts dep chain.

Also it would help if you could elaborate on the "other aspects of the issue",
then I (and others reading this) can put some of our brainpower to use on those
Comment 4 Hans de Goede 2007-09-24 13:49:58 EDT
Reopening as timidity++ is no longer maintained by devel, re-assigning to me as
I will go and fix this myself now.
Comment 5 Hans de Goede 2007-10-13 03:28:10 EDT
Note: fixed in CVS, not building yet as I also want to fix bug 200688 before
Comment 6 Hans de Goede 2007-10-14 15:41:48 EDT
I've just started a build for 2.13.2-4, which fixes this, closing.

Note You need to log in before you can comment on or make changes to this bug.